Bug 1887941 - Kube-scheduler should be able to parse v1beta1 KubeSchedulerConfig
Summary: Kube-scheduler should be able to parse v1beta1 KubeSchedulerConfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.z
Assignee: Mike Dame
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On: 1887936
Blocks: 1887942
TreeView+ depends on / blocked
 
Reported: 2020-10-13 15:52 UTC by Mike Dame
Modified: 2020-10-27 16:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1887936
: 1887942 (view as bug list)
Environment:
Last Closed: 2020-10-27 16:47:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-scheduler-operator pull 255 0 None closed Bug 1887936: Switch to v1beta1 Scheduler config to bridge between Policy/Plugin APIs 2020-12-11 08:46:01 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:48:11 UTC

Description Mike Dame 2020-10-13 15:52:51 UTC
+++ This bug was initially created as a clone of Bug #1887936 +++

The kube-scheduler (and operator) should be able to parse v1beta1 KubeSchedulerConfiguration types as v1alpha1 and v1alpha2 have been deprecated

Note: This bug has been created in order to submit a valid BZ for a 4.5 backport of existing functionality in master. It should already be verifiable by confirming that there are no errors in the kube-scheduler logs that look like this:

> no kind \"KubeSchedulerConfiguration\" is registered for version \"kubescheduler.config.k8s.io/v1beta1\" in scheme \"k8s.io/kubernetes/pkg/scheduler/apis/config/scheme/scheme.go:31\"

Comment 3 RamaKasturi 2020-10-14 10:06:55 UTC
Verified bug with the payload below and see that KubeSchedulerConfiguration version is kubescheduler.config.k8s.io/v1beta1 and --config option for kube-scheduler points to --config=/etc/kubernetes/static-pod-resources/configmaps/config/config.yaml

[knarra@knarra ~]$ oc get clusterversion
NAME      VERSION      AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-rc.4   True        False         179m    Cluster version is 4.6.0-rc.4


sh-4.4# cat /etc/kubernetes/static-pod-resources/kube-scheduler-pod-9/configmaps/config/config.yaml | jq
{
  "apiVersion": "kubescheduler.config.k8s.io/v1beta1",
  "clientConnection": {
    "kubeconfig": "/etc/kubernetes/static-pod-resources/configmaps/scheduler-kubeconfig/kubeconfig"
  },
  "kind": "KubeSchedulerConfiguration",
  "leaderElection": {
    "leaderElect": true,
    "resourceLock": "configmaps",
    "resourceNamespace": "openshift-kube-scheduler"
  }
}

sh-4.4# cat /etc/kubernetes/static-pod-resources/kube-scheduler-pod-9/configmaps/config/config.yaml | jq
{
  "apiVersion": "kubescheduler.config.k8s.io/v1beta1",
  "clientConnection": {
    "kubeconfig": "/etc/kubernetes/static-pod-resources/configmaps/scheduler-kubeconfig/kubeconfig"
  },
  "kind": "KubeSchedulerConfiguration",
  "leaderElection": {
    "leaderElect": true,
    "resourceLock": "configmaps",
    "resourceNamespace": "openshift-kube-scheduler"
  }
}

sh-4.4# cat /etc/kubernetes/static-pod-resources/kube-scheduler-pod-9/configmaps/config/config.yaml | jq  
{
  "apiVersion": "kubescheduler.config.k8s.io/v1beta1",
  "clientConnection": {
    "kubeconfig": "/etc/kubernetes/static-pod-resources/configmaps/scheduler-kubeconfig/kubeconfig"
  },
  "kind": "KubeSchedulerConfiguration",
  "leaderElection": {
    "leaderElect": true,
    "resourceLock": "configmaps",
    "resourceNamespace": "openshift-kube-scheduler"
  }
}

Based on the above moving bug to verified state.

Comment 6 errata-xmlrpc 2020-10-27 16:47:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.